<?php
 // Lit un fichier, et le place dans une chaîne
 $NomFichier="donnees_binaires.data";
 // -- ouverture --
 $f1 = fopen($NomFichier, "rb");
 // -----------------------------------
 // lecture à partir du fichier binaire
 // -----------------------------------
 $chaine_octets = fread($f1, filesize($NomFichier));
 // -- décompactage des octets à partir de la  chaîne d'octets lue --
 // au format C = caractère non signé = 1 octet
 // * indique que ce format s'applique à tous les octets
 $tab_donnees_binaires = unpack("C*",$chaine_octets);
 // boucle d'extraction des données du tableau
 foreach ($tab_donnees_binaires as $indice => $donnee)
 {
   echo "$indice : $donnee\n";
 }
 // -- fermeture --
 fclose($f1);
?>
